{ lib, config, pkgs, ... }: {

  config = lib.mkIf (config.syscfg.make.develop) {
    programs.vscode = {
      enable = true;
      package = pkgs.vscodium;
      #profiles.default = {
        profiles.default.extensions = with pkgs.vscode-extensions; [
          bbenoist.nix
          esbenp.prettier-vscode
          golang.go
          ms-python.vscode-pylance
          ms-vscode.cpptools
          dbaeumer.vscode-eslint
          continue.continue 
        ];
      #};
    };
  };
}
